#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           knotes
Epoch:          2
Version: 24.02.2
Release:        %mkrel %{rel}
Summary:        Note taking
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://apps.kde.org/knotes/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

## Upstream current branch patches:

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DNSSD)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6DocTools)

# Find KdepimLibs Package
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6AkonadiNotes)
BuildRequires:  cmake(KPim6CalendarUtils)
BuildRequires:  cmake(KPim6KontactInterface)
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6PimCommonAkonadi)
BuildRequires:  cmake(KPim6GrantleeTheme)
BuildRequires:  cmake(KPim6AkonadiSearch)
BuildRequires:  cmake(KPim6AkonadiMime)

BuildRequires:  cmake(KF6TextUtils)
BuildRequires:  cmake(KF6TextCustomEditor)
BuildRequires:  cmake(KF6TextAutoCorrectionWidgets)

# see mga#31107
%ifarch aarch64 x86_64
Requires:       akonadi-kde
%endif

Recommends:     knotes-handbook


%description
KNotes aims to be a useful and full featured notes application for
the KDE project. It tries to be as fast and lightweight as possible
although including some advanced features.

%files -f %name.lang
%_kf6_categoriesdir/knotes.*categories
%_kf6_bindir/knotes
%_kf6_bindir/akonadi_notes_agent
%_kf6_datadir/knsrcfiles/knotes_printing_theme.knsrc
%_kf6_metainfodir/org.kde.knotes.appdata.xml
%_kf6_applicationsdir/org.kde.knotes.desktop
%_kf6_datadir/knotes
%_kf6_datadir/dbus-1/interfaces/org.kde.KNotes.xml
%_kf6_knotificationsdir/akonadi_notes_agent.notifyrc
%_kf6_datadir/config.kcfg/knotesglobalconfig.kcfg
%_kf6_datadir/config.kcfg/notesagentsettings.kcfg
%_qt6_plugindir/pim6/kcms/knotes/
%_qt6_plugindir/pim6/kcms/summary/kcmknotessummary.so
# Kontact integration
%_qt6_plugindir/pim6/kontact/kontact_knotesplugin.so
%_kf6_datadir/dbus-1/interfaces/org.kde.kontact.KNotes.xml
%_kf6_datadir/akonadi/agents/notesagent.desktop
%_kf6_iconsdir/hicolor/*/*/*
%_kf6_datadir/kxmlgui5/knotes/

#------------------------------------------------------------------------------

%define libnotesharedprivate_major 6
%define libnotesharedprivate %mklibname notesharedprivate %libnotesharedprivate_major

%package -n %libnotesharedprivate
Summary:        Note Shared Private library
Group:          System/Libraries

%description -n %libnotesharedprivate
Note Shared Private library.

%files -n %libnotesharedprivate
%_kf6_libdir/libnotesharedprivate.so.%{libnotesharedprivate_major}{,.*}

#------------------------------------------------------------------------------

%define knotesprivate_major 6
%define libknotesprivate %mklibname knotesprivate %knotesprivate_major

%package -n %libknotesprivate
Summary:        Knotes Private library
Group:          System/Libraries

%description -n %libknotesprivate
Knotes Private library.

%files -n %libknotesprivate
%_kf6_libdir/libknotesprivate.so.%{knotesprivate_major}{,.*}

#------------------------------------------------------------------------------

%package handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %name >= %{epoch}:%{version}-%{release}

%description handbook
This package provides the %name handbook.

%files handbook
%_kf6_docdir/HTML/*/akonadi_notes_agent
%_kf6_docdir/HTML/*/knotes

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Thu Apr 18 2024 neoclust <neoclust> 2:24.02.2-1.mga10
+ Revision: 2058652
- New version 24.02.2

* Sat Mar 02 2024 neoclust <neoclust> 2:24.02.0-1.mga10
+ Revision: 2046587
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 2:24.01.95-1.mga10
+ Revision: 2037689
- New version 24.01.95

* Mon Feb 05 2024 daviddavid <daviddavid> 2:24.01.90-2.mga10
+ Revision: 2037270
- akonadi-kde is only available on 64bits platform

* Tue Jan 23 2024 neoclust <neoclust> 2:24.01.90-1.mga10
+ Revision: 2033816
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 2:24.01.85-1.mga10
+ Revision: 2025189
- New version 24.01.85

* Wed Nov 22 2023 neoclust <neoclust> 2:24.01.75-1.mga10
+ Revision: 2009082
- New version 24.01.75

* Sat Sep 30 2023 neoclust <neoclust> 2:23.08.1-1.mga10
+ Revision: 1992312
- New version 23.08.1

* Sat Sep 23 2023 daviddavid <daviddavid> 2:23.04.1-2.mga10
+ Revision: 1989427
- add missing dependency on akonadi-kde (mga#31107)
- update build dependencies

* Fri May 26 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1958212
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946524
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941817
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1922938
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911432
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905284
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886803
- New version 22.08.1

* Fri Sep 02 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1883460
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873099
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1853992
- New version 22.04.0

* Thu Apr 21 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1852461
- New version 22.03.90

* Sat Jan 01 2022 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1766018
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724091
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718378
- New version 21.04.0

* Sat Mar 06 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1700103
- New version 20.12.3

* Wed Mar 03 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1697013
- New version 20.12.2

* Fri Jan 22 2021 daviddavid <daviddavid> 2:20.12.0-2.mga8
+ Revision: 1672852
- add upstream patch to fix Bug 431126 - KNotes cannot be configured using the GUI (mga#28187)

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655637
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644023
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633839
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627081
- New version 20.08.1

* Fri Aug 21 2020 daviddavid <daviddavid> 2:20.08.0-2.mga8
+ Revision: 1617355
- fiw owner of /usr/lib/qt5/plugins/kontact5 dir

* Fri Aug 21 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1617334
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604146
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596884
- New version 20.04.2

* Mon May 18 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1585780
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568160
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559349
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540901
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513319
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1466974
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457925
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447803
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1425017
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390472
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387679
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1382711
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375639
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365595
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356530
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339537
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332767
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327421
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1298606
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1229015
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201918
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194940
- New version 17.12.1

* Sun Jan 07 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1191052
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143069
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1136803
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 2:17.04.3-2.mga7
+ Revision: 1133581
- Fix for new find_lang

* Fri Jul 28 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131724
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090099
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1
+ pterjan <pterjan>
- Exclude armv5tl

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076839
- New version 16.12.0

* Thu Dec 15 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1075262
- imported package knotes

